Bug 1871944 - [sig-apps][Feature:DeploymentConfig] deploymentconfigs with revision history limits should never persist more old deployments than acceptable after being observed by the controller
Summary: [sig-apps][Feature:DeploymentConfig] deploymentconfigs with revision history ...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Tomáš Nožička
QA Contact: zhou ying
URL:
Whiteboard: workloads
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 16:24 UTC by Antonio Ojea
Modified: 2020-09-18 11:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
[sig-apps][Feature:DeploymentConfig] deploymentconfigs with revision history limits should never persist more old deployments than acceptable after being observed by the controller
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25505 None open Bug 1871944: use map to de-duplicate unterminatedPods 2020-09-15 10:30:27 UTC

Description Antonio Ojea 2020-08-24 16:24:23 UTC
test:
[sig-apps][Feature:DeploymentConfig] deploymentconfigs with revision history limits should never persist more old deployments than acceptable after being observed by the controller 

is failing frequently in CI, see search results:
https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-apps%5C%5D%5C%5BFeature%3ADeploymentConfig%5C%5D+deploymentconfigs+with+revision+history+limits+should+never+persist+more+old+deployments+than+acceptable+after+being+observed+by+the+controller


I checked several jobs and it is mostly flaky, failing the first try and succeeding in the second one

Comment 1 Maciej Szulik 2020-09-11 13:25:39 UTC
With https://github.com/openshift/origin/pull/25010 this should be fixed, moving to qa.

Comment 4 Maciej Szulik 2020-09-15 10:31:04 UTC
Well this is interesting, it looks like the unterminatedPods array has 2 identical pods:

ObjectMeta:{history-limit-4-deploy  e2e-test-cli-deployment-47zjz /api/v1/namespaces/e2e-test-cli-deployment-47zjz/pods/history-limit-4-deploy dfcf8257-6df9-4356-9dad-62e2838d1017
ObjectMeta:{history-limit-4-deploy  e2e-test-cli-deployment-47zjz /api/v1/namespaces/e2e-test-cli-deployment-47zjz/pods/history-limit-4-deploy dfcf8257-6df9-4356-9dad-62e2838d1017

from https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_cluster-network-operator/785/pull-ci-openshift-cluster-network-operator-master-e2e-ovn-hybrid-step-registry/1304878899443798016

but also the same is in the others,


Note You need to log in before you can comment on or make changes to this bug.